
function buckertSort(array){
    var max = Math.max.apply(0, array);
    var m = getLoopTimes(max), n = array.length;
    for(var i = 1; i <= m; i++){
        buckertSortImpl(array, n, i);
    }
}
function buckertSortImpl(array, len, d){
    
}

//获取数字的位数
function getLoopTimes(num){
    var count = 1;
    var temp = num / 10;
    while(temp != 0) {
        count++;
        temp = temp / 10;
    }
    return count;
}